Google Web Toolkit (Beta)
Search this site:

# Interface SuggestOracle.Suggestion

public static interface SuggestOracle.Suggestion
// Implemented by `MultiWordSuggestOracle.MultiWordSuggestion`
Suggestion supplied by the SuggestOracle. Each suggestion has a value and a display string. The interpretation of the display string depends upon the value of its oracle's SuggestOracle.isDisplayStringHTML().

## Methods

getDisplayString() | Gets the display string associated with this suggestion.
getValue() | Get the value associated with this suggestion.

## Method Detail

### getDisplayString

public String getDisplayString()
Gets the display string associated with this suggestion. The interpretation of the display string depends upon the value of its oracle's SuggestOracle.isDisplayStringHTML().

#### Return Value

the display string

### getValue

public Object getValue()
Get the value associated with this suggestion.

#### Return Value

the value